Subject: Re: [PATCH] Add bare repository indicator for __git_ps1

From: Marius Storm-Olsen <[email-masked]>
Date: Mon, 23 Feb 2009 08:52:31 +0100

Junio C Hamano said the following on 22.02.2009 17:49:
> Marius Storm-Olsen <[email-masked]> writes:
>>> There may be a different workflow where you would stay in a
>>> bare repository for an extended period of time and you would
>>> benefit from such a reminder like this patch adds, but I do not
>>> think of one.
>>> 
>>> Care to enlighten?
>> Right, I have quite a few repos on my machine which are just
>> bare, as I use them gather branches and push out again.
>> (http://repo.or.cz/w/git/platforms.git is one of them) However, 
>> it's probably just me, since I could just as easily put them in a
>> proper directory structure to indicate their bareness.
> 
> Ah, so "gather branches and push out again" would look something
> like this?
> 
>     $ cd /pub/some/where/platforms.git
>     $ git fetch platform1 ;# perhaps with master:one/master mapping
>     $ git fetch platform2 ;# perhaps with master:two/master
>     $ git push public
> 
> Then it is very understandable that you would spend time inside a
> bare repository.  I do not understand the need for GIT_DIR! thing
> even less, but since we have that there already, I do not see a
> reason not to add this to the queue.

Indeed that's somewhat how I work.
Also, given the new GIT_DIR! "feature", I cannot simply keep my 
"BARE:" in my own .bash_rc anymore, since then I'd just get
     (BARE:GIT_DIR!)
which is less than useful. So, given that the overhead and impact to 
the current logic is minimal, I would appreciate the patch being queued.

Thanks!

-- 
.marius [@trolltech.com]
'if you know what you're doing, it's not research'